## mx4j.remote
Class MX4JRemoteUtils

    java.lang.Object
      mx4j.remote.MX4JRemoteUtils

public class MX4JRemoteUtils
extends java.lang.Object

Version:
  $Revision: 1.19 $

Constructor Summary
`MX4JRemoteUtils()`

Method Summary
`static java.lang.String` `createConnectionID(java.lang.String protocol, java.lang.String callerAddress, int callerPort, javax.security.auth.Subject subject)`
`static boolean` `isTrulySerializable(java.lang.Object object)`
`static java.util.Map` `removeNonSerializableEntries(java.util.Map map)` Returns a copy of the given Map that does not contain non-serializable entries
`static java.lang.Object` `subjectInvoke(javax.security.auth.Subject subject, javax.security.auth.Subject delegate, java.security.AccessControlContext context, java.util.Map environment, java.security.PrivilegedExceptionAction action)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MX4JRemoteUtils

    public MX4JRemoteUtils()

Method Detail

### removeNonSerializableEntries

    public static java.util.Map removeNonSerializableEntries(java.util.Map map)

  Returns a copy of the given Map that does not contain non-serializable entries

### isTrulySerializable

    public static boolean isTrulySerializable(java.lang.Object object)

### createConnectionID

    public static java.lang.String createConnectionID(java.lang.String protocol,
                                                      java.lang.String callerAddress,
                                                      int callerPort,
                                                      javax.security.auth.Subject subject)

### subjectInvoke

    public static java.lang.Object subjectInvoke(javax.security.auth.Subject subject,
                                                 javax.security.auth.Subject delegate,
                                                 java.security.AccessControlContext context,
                                                 java.util.Map environment,
                                                 java.security.PrivilegedExceptionAction action)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.